          &dhemail;

&dhfirstname; &dhsurname;
2003
&dhusername;
&dhdate;
&dhucpackage;

&dhsection;

# &dhpackage;

match available fonts

          &dhpackage;

          -asvVh
          --all
          --sort
          --verbose

            -f format
            --format format

          --version
          --help

          pattern element

## DESCRIPTION

`&dhpackage;` matches pattern (empty pattern by default) using the normal fontconfig matching rules to find the best font available. If `--sort` is given, the sorted list of best matching fonts is displayed. The `--all` option works like `--sort` except that no pruning is done on the list of fonts.

If any elements are specified, only those are printed. Otherwise short file name, family, and style are printed, unless verbose output is requested.

## OPTIONS

This program follows the usual &gnu; command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

`-a` `--all`

  Displays sorted list of best matching fonts, but do not do any pruning on the list.

`-s` `--sort`

  Displays sorted list of best matching fonts.

`-v` `--verbose`

  Print verbose output of the whole font pattern for each match, or elements if any is provided.

`-f` `--format` `format`

  Format output according to the format specifier format.

`-V` `--version`

  Show version of the program and exit.

`-h` `--help`

  Show summary of options.

`pattern`

  Displays fonts matching pattern (uses empty pattern by default).

`element`

  If set, the element property is displayed for matching fonts.

## SEE ALSO

`fc-list`(1) `FcFontMatch`(3) `FcFontSort`(3) `FcPatternFormat`(3) `fc-cat`(1) `fc-cache`(1) `fc-pattern`(1) `fc-query`(1) `fc-scan`(1)

The fontconfig user's guide, in HTML format: `/usr/share/doc/fontconfig/fontconfig-user.html`.

## AUTHOR

This manual page was updated by &dhusername; &dhemail;.